/* Our Services Block Styles */

.section_big_circle {
	position: relative;
}
.section_our_services .section_description {
	margin-bottom: 50px;

}

.section_our_services .container {
	width: 100%;
	padding: 0 49px !important;
}

.section_our_services .services_intro {
	border-radius: 20px;
	margin: 0 45px;
	padding-bottom: 21%;
	position: relative;
	overflow: hidden;
	
}

/* Service Box Styling */
.section_our_services .service_box {
	color: var(--wp--preset--color--black);
	padding: 60px 45px 0;
	display: flex;
	flex-direction: column-reverse;
	margin-top: -246px;
	gap: 0;
	position: relative;
  	z-index: 1;
}

.section_our_services .service_box_inner {
	display: grid;
	grid-template-columns: 34% 22% 22% 22%;
	gap: 0;
	margin-bottom: 50px;
	align-items: start;
	background: var(--wp--preset--color--xtralightgrey);
	border-radius: 20px;
	padding: 45px 70px;
	overflow: hidden;
	position: relative;
}
.section_our_services .service_box_inner::before {
	content: "";
	width: 100%;
	height: 0;
	background-color: var(--wp--preset--color--darkgreen);
	position: absolute;
	left: 0;
	top: 0;
	transition: all 0.3s linear;
}
.section_our_services .service_box_inner.active::before  {
	height: 100%;
	
}

.section_our_services .service_box_inner.active  {
	
	color: var(--wp--preset--color--white);
}

.section_our_services .service_box_inner::last-child {
	margin-bottom: 0;
}

/* Service Title - Green Header */
.section_our_services .service_box_inner .service_title {
	grid-column: 1 / -1;
	letter-spacing: -0.5px;
	color: var(--wp--preset--color--darkgreen);
	margin-bottom: 40px;
	position: relative;
}
.section_our_services .service_box_inner.active .service_title {
	color: var(--wp--preset--color--white);

}

/* Columns */
.section_our_services .service_box_inner .srv_col{
	text-align: left;
	position: relative;
}

/* Column Titles */
.section_our_services .service_box_inner .srv_col_title {
	color: var(--wp--preset--color--black);
	font-size: 16px;
	font-style: normal;
	font-weight: 600;
	line-height: 22px; /* 137.5% */
	padding-bottom: 15px;
	
}
.section_our_services .service_box_inner.active .srv_col_title {
	color: var(--wp--preset--color--white);
}
.section_our_services .service_box_inner .srv_col_title.service_column1_title {
	text-transform: uppercase;
	font-weight: 700;
}

.section_our_services .service_box_inner .srv_col_title::after {
	content: "";
	width: 100%;
	height: 1px;
	display: block;
	background: var(--wp--preset--gradient--green-neon-gradient);
	margin-top: 10px;
}
.section_our_services .service_box_inner.active .srv_col_title::after {
	
	background: var(--wp--preset--color--white);
	
}
.service_box{
	overflow: hidden;
}

/* Column Text */
.section_our_services .service_box_inner .srv_col_text {
	
	line-height: 22px; /* 137.5% */
	color: var(--wp--preset--color--darkblue);
	padding-right: 35px;
}
.section_our_services .service_box_inner.active .srv_col_text{
	color: var(--wp--preset--color--white);
}
.section_our_services .service_box_inner .srv_col_text.service_column4_text {
	padding-right: 0;
}
.section_our_services .service_box_inner .srv_col_text.service_column1_text {
	max-width: 350px;
	line-height:  123.81% ;
	letter-spacing: -0.42px;
}

.services_tab_holder {
	min-height: 96px;
	padding-bottom: 40px;
}

.services_tab {
 /*	   transform: translateY(-100%);*/
    transition: transform 0.4s ease;
}
/*.services_tab.sticky {
	position: fixed;
	top: 32px;
	width: 100%;
	background: var(--wp--preset--gradient--dark-gray-gradient);
	padding: 30px;
	left: 0;
	 transform: translateY(0%);
    transition: transform 0.4s ease;
}
.services_tab.slide-out {
    transform: translateY(-100%);
}*/
.services_tab_inner {
	display: flex;
	flex-wrap: wrap;
	gap: 10px;
}

.services_tab_inner a {
	display: inline-flex;
	padding: 7px 19px 8px 18px;
	justify-content: center;
	align-items: center;
	gap: 3px;
	border-radius: 85px;
	background: var(--wp--preset--color--white);
	color: var(--wp--preset--color--black) !important;
	font-size: 16px;
	font-style: normal;
	font-weight: 400;
	line-height: normal;
	letter-spacing: -0.48px;
	text-decoration: none;
}
.services_tab_inner a.active,
.services_tab_inner a:hover{
	background: var(--wp--preset--color--darkgreen);
	color: var(--wp--preset--color--white) !important;
}


/* Responsive */
@media (max-width: 1500px) {
	.section_our_services .service_box_inner {
		grid-template-columns: 31% 23% 23% 23%;
		padding: 45px;
	}

}
@media (max-width: 1200px) {
	.section_our_services .service_box_inner {
		grid-template-columns: 1fr 1fr 1fr;
		gap: 30px 0;
	}
	
	.section_our_services .service_box_inner .service_title {
		margin-bottom: 0;
	}
	.section_our_services .service_box_inner .srv_col.column1 {
		grid-column: 1 / -1;
	}
	.section_our_services .service_box_inner .srv_col_text.service_column1_text {
		max-width: 100%;
		padding-right: 0;
	}
}

@media (max-width: 1024px) {
	.section_our_services .services_intro {
		padding-bottom: 30%;
	
	}
	.section_our_services .service_box_inner {
		grid-template-columns: 1fr 1fr;

		padding: 30px;
	}
	.section_our_services .service_box_inner .srv_col.column1 {
		grid-column: 1;
	}
	.section_our_services .service_box_inner .srv_col_text.service_column1_text {
		max-width: 350px;
		padding-right: 35px;
	}
}

@media (max-width: 768px) {
	
	.section_our_services .services_intro {
		padding-bottom: 220px;
		
	}
	.section_our_services .container {
		
		padding: 0 30px !important;
	}
}
@media (max-width: 700px) {
	.section_our_services .service_box_inner {
		grid-template-columns: 1fr;
	}
}
@media (max-width: 600px) {
	.section_our_services .services_intro {
		margin: 0 20px;
	}
	.section_our_services .service_box {
		padding: 60px 20px 0;
	
	}
	.section_our_services .container {
		padding: 0 20px !important;
	}
}
@media (max-width: 480px) {
	.services_tab_inner {
		gap: 6px;
	}
	.services_tab_inner a {
		padding: 6px 13px 7px;
		font-size: 14px;
	}
}


.circle_animation {
	position: relative;
	display: block;
	max-height: 700px;
	min-height: 230px;
	height: 37vw;
	aspect-ratio: 1;
	position: absolute;
	right: -22%;
	top: -20px;
}
.circle_animation .circle_inner {
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	border: 1px solid rgba(255,255,255,0.28);
	aspect-ratio: 1;
	border-radius: 100%;
	position: relative;
	z-index: 1;
}


.circle_animation {
	--space: 60px;
}

.circle_animation span.crl,
.circle_animation span.crl_lines {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    aspect-ratio: 1;
    border-radius: 100%;
    border:  1px solid rgba(255,255,255,0.28);
}

/* Hidden jab animated class ho */
.circle_animation.animated span.crl {
    opacity: 0;
    transform: translateX(80px);
	
}

/* Trigger hone par */
.circle_animation:not(.animated) span.crl,
.circle_animation:not(.animated) span.crl_lines {
    animation-name: slideToPosition;
    animation-duration: 0.3s;
    animation-fill-mode: both;
    animation-timing-function: cubic-bezier(0.25, 0.46, 0.45, 0.94); /* smooth ease-out */
    animation-play-state: running;
	opacity: 1;
	--final-x: calc(var(--space) * -1) ; animation-delay: 0.0s;
}

/* Har circle ki final position aur delay */
.circle_animation:not(.animated) span.crl:nth-child(1)  { --final-x: calc(var(--space) * -1);  animation-delay: 0.03s; }
.circle_animation:not(.animated) span.crl:nth-child(2)  { --final-x: calc(var(--space) * -2);  animation-delay: 0.06s; }
.circle_animation:not(.animated) span.crl:nth-child(3)  { --final-x: calc(var(--space) * -3);  animation-delay: 0.09s; }
.circle_animation:not(.animated) span.crl:nth-child(4)  { --final-x: calc(var(--space) * -4);  animation-delay: 0.12s; }
.circle_animation:not(.animated) span.crl:nth-child(5)  { --final-x: calc(var(--space) * -5);  animation-delay: 0.15s; }
.circle_animation:not(.animated) span.crl:nth-child(6)  { --final-x: calc(var(--space) * -6);  animation-delay: 0.18s; }
.circle_animation:not(.animated) span.crl:nth-child(7)  { --final-x: calc(var(--space) * -7);  animation-delay: 0.21s; }
.circle_animation:not(.animated) span.crl:nth-child(8)  { --final-x: calc(var(--space) * -8);  animation-delay: 0.24s; }
.circle_animation:not(.animated) span.crl:nth-child(9)  { --final-x: calc(var(--space) * -9);  animation-delay: 0.27s; }
.circle_animation:not(.animated) span.crl:nth-child(10) { --final-x: calc(var(--space) * -10); animation-delay: 0.30s; }
.circle_animation:not(.animated) span.crl:nth-child(11) { --final-x: calc(var(--space) * -11); animation-delay: 0.33s; }

@keyframes slideToPosition {
    0% {
        opacity: 0;
        transform: translate(calc(var(--final-x) + 80px)) ; /* apni position se 80px right se aaye */
		filter: blur(4px);
    }
    100% {
        opacity: 1;
        transform: translate(var(--final-x)) ;
		 filter: blur(0px);
    }
}

@media (max-width: 1400px) {
	.circle_animation {
		height: 44vw;
		right: -38%;
	}
}
@media only screen and (max-width: 1820px) {
	.circle_animation {
		--space: 8.5%;
	}
}
